xcode

はじめに

Mac OS Catalinaにアップデート、Xcodeも11にアップデートしてさあ検証するぞとおもむろにpod updateを叩いたらエラーになった。

エラーについて

出たエラーは以下。

-bash: /usr/local/bin/pod: /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/bin/ruby: bad interpreter: No such file or directory

No such file or directory??アップデート前はちゃんと入っていて実行できていたのに、、

やったこと

まずは以下のコマンドでgemのアップデートを試みる。

エラーになる、、、

Operation not permitted @ rb_sysopen - /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/gem

権限がない?sudoで実行しているのに、、
ググった結果パスを指定して実行してみる。以下のコマンド。

Latest version already installed. Done.と表示された。最新だよとか言われる。
ほんとはアップデートできてたのか?とか思いつつも再びpod updateを叩くが最初と同じエラーメッセージ。

次はcocoapodsをインストールしてみる。

以下のエラーが出る。あれ、見覚えのあるようなエラー、、

ERROR: While executing gem … (Gem::FilePermissionError)
You don't have write permissions for the /usr/bin directory.

gemの時と同様にパスを指定して実行する。

Done installing documentation for fuzzy_match, httpclient, algoliasearch, cocoapods-core, claide, cocoapods-deintegrate, cocoapods-downloader, cocoapods-plugins, cocoapods-search, cocoapods-stats, netrc, cocoapods-trunk, cocoapods-try, molinillo, atomos, colored2, nanaimo, xcodeproj, escape, fourflusher, gh_inspector, ruby-macho, cocoapods after 12 seconds
23 gems installed

と表示されインストールに成功。
流石にこれでいけるだろと思ってpod updateしたらいけるようになりました。

同じ状況になっている場合はお試し下さい。

以上です。

おすすめの記事